// types file for german credit problem.
// J Sherrah  29/4/98

//Attribute 1:  (qualitative)
//       	Status of existing checking account
//       A11 :      ... <    0 DM
//       A12 : 0 <= ... <  200 DM
//       A13 :      ... >= 200 DM /
//	     salary assignments for at least 1 year
//       A14 : no checking account
X1 = Enumerated{A11 = 1, A12 = 2, A13 = 3, A14 = 4}

//Attribute 2:  (numerical)
//      Duration in month
X2 = Real

//Attribute 3:  (qualitative)
//      Credit history
//      A30 : no credits taken/
//	    all credits paid back duly
//      A31 : all credits at this bank paid back duly
//      A32 : existing credits paid back duly till now
//      A33 : delay in paying off in the past
//      A34 : critical account/
//	    other credits existing (not at this bank)
X3 = Enumerated {A30 = 0, A31 = 1, A32 = 2, A33 = 3, A34 = 4}

//
//Attribute 4:  (qualitative)
//      Purpose
//      A40 : car (new)
//      A41 : car (used)
//      A42 : furniture/equipment
//      A43 : radio/television
//      A44 : domestic appliances
//      A45 : repairs
//      A46 : education
//      A47 : (vacation - does not exist?)
//      A48 : retraining
//      A49 : business
//      A410 : others
X4 = Enumerated{A40 = 0, A41 = 1, A42 = 2, A43 = 3, A44 = 4, A45 = 5, A46 = 6, A47 = 7, A48 = 8, A49 = 9, A410 = 10}

//Attribute 5:  (numerical)
//      Credit amount
X5 = Real

//Attibute 6:  (qualitative)
//      Savings account/bonds
//      A61 :          ... <  100 DM
//      A62 :   100 <= ... <  500 DM
//      A63 :   500 <= ... < 1000 DM
//      A64 :          .. >= 1000 DM
//      A65 :   unknown/ no savings account
X6 = Enumerated{A61 = 1, A62 = 2, A63 = 3, A64 = 4, A65 = 5}

//Attribute 7:  (qualitative)
//      Present employment since
//      A71 : unemployed
//      A72 :       ... < 1 year
//      A73 : 1  <= ... < 4 years  
//      A74 : 4  <= ... < 7 years
//      A75 :       .. >= 7 years
X7 = Enumerated{A71 = 1, A72 = 2, A73 = 3, A74 = 4, A75 = 5}

//Attribute 8:  (numerical)
//      Installment rate in percentage of disposable income
X8 = Real

//Attribute 9:  (qualitative)
//      Personal status and sex
//      A91 : male   : divorced/separated
//      A92 : female : divorced/separated/married
//      A93 : male   : single
//      A94 : male   : married/widowed
//      A95 : female : single
X9 = Enumerated{A91 = 1, A92 = 2, A93 = 3, A94 = 4, A95 = 5}

//Attribute 10: (qualitative)
//      Other debtors / guarantors
//      A101 : none
//      A102 : co-applicant
//      A103 : guarantor
X10 = Enumerated{A101 = 1, A102 = 2, A103 = 3}

//Attribute 11: (numerical)
//      Present residence since
X11 = Real

//Attribute 12: (qualitative)
//      Property
//      A121 : real estate
//      A122 : if not A121 : building society savings agreement/
//			   life insurance
//      A123 : if not A121/A122 : car or other, not in attribute 6
//      A124 : unknown / no property
X12 = Enumerated{A121 = 1, A122 = 2, A123 = 3, A124 = 4}

//Attribute 13: (numerical)
//      Age in years
X13 = Real

//Attribute 14: (qualitative)
//      Other installment plans 
//      A141 : bank
//      A142 : stores
//      A143 : none
X14 = Enumerated{A141 = 1, A142 = 2, A143 = 3}

//Attribute 15: (qualitative)
//      Housing
//      A151 : rent
//      A152 : own
//      A153 : for free
X15 = Enumerated{A151 = 1, A152 = 2, A153 = 3}
//
//Attribute 16: (numerical)
//      Number of existing credits at this bank
X16 = Real

//Attribute 17: (qualitative)
//      Job
//      A171 : unemployed/ unskilled  - non-resident
//      A172 : unskilled - resident
//      A173 : skilled employee / official
//      A174 : management/ self-employed/
//	     highly qualified employee/ officer
X17 = Enumerated{A171 = 1, A172 = 2, A173 = 3, A174 = 4}
//
//Attribute 18: (numerical)
//      Number of people being liable to provide maintenance for
X18 = Real

//Attribute 19: (qualitative)
//      Telephone
//      A191 : none
//      A192 : yes, registered under the customers name
X19 = Enumerated{A191 = 1, A192 = 2}

//Attribute 20: (qualitative)
//      foreign worker
//      A201 : yes
//      A202 : no
X20 = Enumerated{A201 = 1, A202 = 2}
