% plotall.m
% Runs the scripts generated for the listed problems.
% NOTE: you must be in the top-level directory to do this.
% AND: all problems must be from same machine type (ie: dec or sun).

%$$$ names = str2mat('abalone',...    
%$$$ 'australian',... 
%$$$ 'balance',...    
%$$$ 'cmc',...        
%$$$ 'concentric',... 
%$$$ 'diabetes',...   
%$$$ 'german',...     
%$$$ 'monks',...      
%$$$ str2mat('satimage',...   
%$$$ 'segment',...    
%$$$ 'smoking',...    
%$$$ 'spirals',...    
%$$$ 'titanic',...    
%$$$ 'vehicle',...    
%$$$ 'yeast'));

names = str2mat('monks_3');


% for each problem
for p=1:size(names,1),
  
  % change to the appropriate directory
  eval(['cd ',deblank(names(p,:)),';']);
  
  % run the file
  eval(['[f,r]=',deblank(names(p,:)),'_gen(1);']);
  
  % grab the results and save them as '.mid' (machine-independent data),
  % ie: one row per quantity of 32-bit floating-point numbers.  The first
  % two numbers are 32-bit integers specifying the number of rows and cols.
  [rows, cols] = size(r);
  f=fopen([deblank(names(p,:)),'.mid'],'wt');
  % write dimensions
  fprintf(f,'%d %d\n',rows,cols);
  % now the data
  for nock=1:rows,
    fprintf(f,'%g ',r(nock,:));
    fprintf(f,'\n');
  end;
  % close up shop
  fclose(f);
  cd ..;
end; 					% p