% plotall.m
% Runs the scripts generated for the listed problems.
% NOTE: you must be in the top-level directory to do this.
% AND: all problems must be from same machine type (ie: dec or sun).

% for dec computers
names = str2mat('german_1',...
    'yeast_3',...
    'vehicle_2',...
    'cmc_2',...
    'vehicle_3',...
    'yeast_2',...    % end of postfinal(6)
    'abalone_1',...    
'australian_1',... 
str2mat('australian_2',... 
'australian_3',... 
'balance_2',...    
'balance_3',...    
'cmc_1',...        
str2mat('cmc_2',...        
'cmc_3',...        
'diabetes_1',...   
'diabetes_2',...   
'diabetes_3',...   
'monks_2',...      
'monks_3',...   
str2mat('segment_2',...    
'segment_3',...    
'smoking_2',...    
'smoking_3',...    
'spirals_2',...    
'spirals_3',...    
str2mat('titanic_1',...    
'titanic_2',...    
'vehicle_1',...    
'vehicle_2',...    
'vehicle_3',...    
'yeast_3')))));

%'satimage_3',...   


% for each problem
for p=6:6,%1:size(names,1),
  
  % change to the appropriate directory
  eval(['cd ',deblank(names(p,:)),';']);
  
  % run the file
  eval(['[f,r]=',deblank(names(p,:)),'_gen(1);']);
  
  % grab the results and save them as '.mid' (machine-independent data),
  % ie: one row per quantity of 32-bit floating-point numbers.  The first
  % two numbers are 32-bit integers specifying the number of rows and cols.
  [rows, cols] = size(r);
  f=fopen([deblank(names(p,:)),'.mid'],'wt');
  % write dimensions
  fprintf(f,'%d %d\n',rows,cols);
  % now the data
  for nock=1:rows,
    fprintf(f,'%g ',r(nock,:));
    fprintf(f,'\n');
  end;
  % close up shop
  fclose(f);
  cd ..;
end; 					% p