% plotall.m
% Runs the scripts generated for the listed problems.
% NOTE: you must be in the top-level directory to do this.
% AND: all problems must be from same machine type (ie: dec or sun).

% for sun computers
names = str2mat('spirals_3',...
    'german_3',...
    'yeast_1',...% end of postfinal(3)
str2mat('satimage_1',...
'satimage_2',...
'satimage_3',...
'abalone_2',...    
'abalone_3',...    
'balance_1',...    
'concentric_1',...        
str2mat('concentric_2',...        
'concentric_3',...
'german_1',...
'german_2',...
'german_3',...
'monks_1',...      
'satimage_1',...   
str2mat('segment_1',...    
'smoking_1',...    
'spirals_1',...    
str2mat('titanic_3',...    
'yeast_1',...    
'yeast_2')))));

%'satimage_2',...   


% for each problem
for p=3:3,%size(names,1),
  
  % change to the appropriate directory
  eval(['cd ',deblank(names(p,:)),';']);
  
  % run the file
  eval(['[f,r]=',deblank(names(p,:)),'_gen(1);']);
  
  % grab the results and save them as '.mid' (machine-independent data),
  % ie: one row per quantity of 32-bit floating-point numbers.  The first
  % two numbers are 32-bit integers specifying the number of rows and cols.
  [rows, cols] = size(r);
  f=fopen([deblank(names(p,:)),'.mid'],'wt');
  % write dimensions
  fprintf(f,'%d %d\n',rows,cols);
  % now the data
  for nock=1:rows,
    fprintf(f,'%g ',r(nock,:));
    fprintf(f,'\n');
  end;
  % close up shop
  fclose(f);
  cd ..;
end; 					% p