function [flags, ta_res] = resultsOfBatch(R, G, baseName, printFlag)
%% [flags, ta_res] = resultsOfBatch(R, G, baseName, printFlag)
%% Matlab function written by EPrep version 3.0 for plotting results.
%% Returns the presence flags of quantities, and their average over all runs.
%% If the printFlag is true, the results are printed to gif and eps files.

maxG = 0;

for r=1:R,
  %% For each run performed, read in the data from the file.
  eval(['[flags, opInds, res, g]=resultsOfRun(''',baseName,'_run_',num2str(r),'.dat'');']);
  %% plot these quantities and print each plot to a file
  plotAndPrint(flags, opInds, res, baseName, r, printFlag);
  %% add these quantities to the total averages.  The only tricky bit is that
  %% if the run ended before the max. number of generations, the quantity is
  %% subsequently held fixed at the value on the final generation.
  if (r==1),
    ta_res = [res, res(:,size(res,2))*ones(1,G-g)];
  else
    ta_res = ta_res + [res, res(:,size(res,2))*ones(1,G-g)];
  end;%if
  %% check to see if this is the longest run
  if (g > maxG)
    maxG = g;
  end;%if
  
  if (~printFlag),
    %% if the user doesn't want to print, then he/she must want to view: pause
    disp('Press any key to continue...');
    pause;
  end;%if
end;% for

%% average out the total averaged quantities, and trim back to those
%% generations where something happened.
ta_res = ta_res(:,1:maxG) / R;

%% plot and print those quantities which were logged(0 means ave over all runs)
plotAndPrint(flags, opInds, ta_res, baseName, 0, printFlag);
